Advertisement:

Author Topic: Advice Prior to 2.0.14 Update  (Read 366 times)

Offline foxesdancingonsnow

  • Semi-Newbie
  • *
  • Posts: 23
Advice Prior to 2.0.14 Update
« on: May 18, 2017, 11:19:08 AM »
Our site is at 2.0.13 currently.  Our PHP version is 5.5.38.

I would like to install the 2.0.14 patch update, but there is a "test failed" error message under action #9 in the list under "Execute Modification    ./Sources/Load.php" (see attached screenshot).

Is anyone able to give some help in what might be causing that error/how serious it is/how we can address it so we can update?


Offline Antes

  • Evil Black Cat
  • SMF Friend
  • SMF Hero
  • *
  • Posts: 8,646
  • Gender: Male
  • Black cat rulz!
    • Antes on GitHub
    • merta on LinkedIn
    • @antesistan on Twitter
    • Lunarfall
Re: Advice Prior to 2.0.14 Update
« Reply #1 on: May 18, 2017, 11:24:51 AM »
https://wiki.simplemachines.org/smf/Error_in_mod_installation - This should help, since patches are also created as the same method as the mods created you don't have to mind anything different. One thing may happen is after a patch installed it might break your forum till you make the necessary changes to required in steps/sub-steps (aka Test Failed). The reason is that, unlike some of the mods patches changing core work-flow of the software so effects happen asap.

Second thing, you can click on the icon on very left to see which change is failing.
Active Project(s): [ SimpleDesk ] # [ Lunarfall ] # [ CoreStore ]

Past Project(s): [ ezPortal ]

Offline foxesdancingonsnow

  • Semi-Newbie
  • *
  • Posts: 23
Re: Advice Prior to 2.0.14 Update
« Reply #2 on: May 18, 2017, 12:29:22 PM »
Thanks!  That was a very helpful article.

In addition to that, this topic about editing for Simple Portal fixed the last issue (that I know of so far), in case leaving the link helps anyone:  https://www.simplemachines.org/community/index.php?topic=553932.msg3926244#msg3926244